## kdepim-runtime 4.14.6

=== debian/changelog ===
kdepim-runtime (4:4.14.6-0ubuntu1) vivid; urgency=medium

  * New upstream release 
  * Update watch file

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 15:05:23 -0700

kdepim-runtime (4:4.14.5-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix watch file. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 11:28:10 -0800

kdepim-runtime (4:4.14.4-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release for kde-applications 
  * Fix watchfile to new applications download address.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 04 Feb 2015 20:46:57 +0000

kdepim-runtime (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 14:02:28 -0700
