=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
+               kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev (>= 4:4.14.2),
                kdepimlibs5-dev (>= 4:4.14.2),
                libakonadi-dev (>= 1.12),
-               libboost1.54-dev (>= 1.40.0-2),
+               libboost1.55-dev (>= 1.40.0-2),
                libkgapi-dev (>= 2.2.0),
                libkolab-dev (>= 0.5),
                libkolabxml-dev (>= 1.0),
