=== debian/watch ===
version=3
http://download.kde.org/stable/applications/14.12.3/src/kdepim-runtime-([\d\.]*).tar.xz
