## kdepim-runtime 4.14.10

=== debian/changelog ===
kdepim-runtime (4:4.14.10-2) unstable; urgency=medium

  * Team upload.
  * Remove hard coded Depends on libkolab0. Shlibs handles this just fine and
    the hard carded Depends made kdepim-runtime uninstallable due to the
    transition to libkolab0v5 (Closes: #797632)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 31 Aug 2015 22:29:35 -0400

kdepim-runtime (4:4.14.10-1) unstable; urgency=medium

  * New upstream release (4.14.7).
  * New upstream release (4.14.8).
  * New upstream release (4.14.9).
  * New upstream release (4.14.10).
  * New upstream patch: upstream_dont_trigger_overloaded-virtual_warning
  * New upstream patch: upstream_silence_overloaded_virtual_warning
  * Add libsoprano-dev build dep.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 31 Aug 2015 16:29:30 +0200

kdepim-runtime (4:4.14.6-1) experimental; urgency=medium

  * New upstream release (4.14.6).
  * Bump kdepimlibs build dep version, due to
    Akonadi::MessageFlags::copyMessageFlags

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:02 +0200

kdepim-runtime (4:4.14.5-1) experimental; urgency=medium

  * Prepare Debian release.
  * Remove upstream patch: restart_akonadi.patch
  * Refresh patches.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Feb 2015 10:37:06 +0100

kdepim-runtime (4:4.14.2-3) unstable; urgency=medium

  * New patch: restart_akonadi.patch, restarts akonadi to complete kmail
    migration. (Closes: #727800) Thanks to Diane Trout

 -- Maximiliano Curia <maxy@debian.org>  Sat, 17 Jan 2015 11:41:00 +0100

kdepim-runtime (4:4.14.2-2) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/tlscancelled.patch to fix issue with inability to
    cancel connections using unknown SSL certificates (Closes: #750995)
  * Bump minimum kdepimlibs5-dev build-depends version to 4:4.14.2-2~
    in order to ensure the added enum is available

 -- Scott Kitterman <scott@kitterman.com>  Sun, 16 Nov 2014 22:14:26 -0500

kdepim-runtime (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:01 +0200

kdepim-runtime (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Sep 2014 12:08:47 +0200

kdepim-runtime (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update kolab dependency version.
  * Update install file.
  * New patch: kolabproxy_unittest

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 01:16:43 +0200

kdepim-runtime (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Reenable kolab integration. (Closes: #755678)
  * Update install file.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 14:21:31 +0200
