=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.0~),
               kdepimlibs5-dev (>= 4:4.14.8~),
               libakonadi-dev (>= 1.12.90),
               libboost-dev (>= 1.40.0-2),
               libkgapi-dev (>= 2.2.0),
               libkolab-dev (>= 0.5.2),
               libkolabxml-dev (>= 1.0),
               libqjson-dev,
               libqtwebkit-dev,
               libsasl2-dev,
               libsoprano-dev,
               libstreamanalyzer-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               shared-mime-info (>= 0.30),
               xsltproc
Standards-Version: 3.9.6
Homepage: http://pim.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kdepim-runtime.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kdepim-runtime.git

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server (>= 1.8),
         kdepimlibs-kio-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: akonadi-kde, libmaildir4
Breaks: akonadi-kde, kdepimlibs5 (<< 4:4.4), libmaildir4
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

Package: kdepim-runtime-dbg
Section: debug
Priority: extra
Architecture: any
Replaces: kdepim-dbg (<< 4:4.4)
Breaks: kdepim-dbg (<< 4:4.4)
Depends: kdepim-runtime (= ${binary:Version}), ${misc:Depends}
Description: debugging files for Akonadi KDE runtime components
 This package contains debugging symbols associated with kdepim-runtime.
 They will automatically be used by gdb for debugging issues related to
 components of kdepim-runtime.
 .
 This package is part of the kdepim-runtime module.
