## kdepim-runtime 15.08.2

=== debian/changelog ===
kdepim-runtime (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 11 Oct 2015 07:25:50 -0700

kdepim-runtime (4:15.08.1-0ubuntu3) wily; urgency=medium

  * In autopkgtest start kdeinit5 instead of kdeinit4
  * Add kubuntu_disable_flaky_test.patch to disable a falky upstream test

 -- Harald Sitter <sitter@kde.org>  Wed, 30 Sep 2015 12:16:17 +0200

kdepim-runtime (4:15.08.1-0ubuntu2) wily; urgency=medium

  * No change rebuild against newer kdepimlibs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Sep 2015 10:09:12 +0100

kdepim-runtime (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 19:25:07 +0100

kdepim-runtime (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Add back libkolab and libkolabxml build-deps

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Sep 2015 12:14:27 +0100

kdepim-runtime (4:15.08.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Aug 2015 17:41:27 +0100

kdepim-runtime (4:15.07.90-0ubuntu2) wily; urgency=medium

  * Remove explicit libkolab dependency

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Aug 2015 10:21:44 +0100

kdepim-runtime (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Build depend on default boost libraries, this makes the package buildable
    in wily.

  [ Harald Sitter ]
  * KDE Frameworks5 port

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Aug 2015 17:37:19 +0100

kdepim-runtime (4:4.14.8-0ubuntu2) UNRELEASED; urgency=medium

  * Vivid backport.

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 30 May 2015 08:19:03 -0700

kdepim-runtime (4:4.14.7-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release 
  * Fix watch file.
  * wrap-and-sort 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 16 Apr 2015 06:13:54 -0700
