=== debian/control ===
--- 
+++ 
@@ -9,28 +9,52 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.0~),
-               kdepimlibs5-dev (>= 4:4.14.8~),
-               libakonadi-dev (>= 1.12.90),
-               libboost-dev (>= 1.40.0-2),
-               libkgapi-dev (>= 2.2.0),
-               libkolab-dev (>= 0.5.2),
-               libkolabxml-dev (>= 1.0),
-               libqjson-dev,
-               libqtwebkit-dev,
+               extra-cmake-modules,
+               kio-dev,
+               kross-dev,
+               libboost-dev,
+               libkf5akonadi-dev,
+               libkf5akonadicalendar-dev,
+               libkf5akonadicontact-dev,
+               libkf5akonadimime-dev,
+               libkf5akonadinotes-dev,
+               libkf5akonadisocialutils-dev,
+               libkf5alarmcalendar-dev,
+               libkf5calendarcore-dev,
+               libkf5calendarutils-dev,
+               libkf5codecs-dev,
+               libkf5config-dev,
+               libkf5contacts-dev,
+               libkf5gapi-dev,
+               libkf5identitymanagement-dev,
+               libkf5imap-dev,
+               libkf5itemmodels-dev,
+               libkf5kcmutils-dev,
+               libkf5kdelibs4support-dev,
+               libkf5mailtransport-dev,
+               libkf5mbox-dev,
+               libkf5mime-dev,
+               libkf5notifyconfig-dev,
+               libkf5pimtextedit-dev,
+               libkf5syndication-dev,
+               libkolab-dev,
+               libkolabxml-dev,
+               libqt5webkit5-dev,
+               libqt5xmlpatterns5-dev,
                libsasl2-dev,
-               libsoprano-dev,
-               libstreamanalyzer-dev,
-               libx11-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
+               qtbase5-dev,
+               qtquick1-5-dev,
                shared-mime-info (>= 0.30),
                xsltproc
 Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: http://pim.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kdepim-runtime.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kdepim-runtime.git
+X-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-sc/kdepim-runtime.git
+X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdepim-runtime.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
 
 Package: kdepim-runtime
 Architecture: any
